org.appng.xml.platform

## Enum Linkmode

- java.lang.Object
- - java.lang.Enum<Linkmode>
  - - org.appng.xml.platform.Linkmode

- All Implemented Interfaces:
    Serializable, Comparable<Linkmode>

      public enum Linkmode
      extends Enum<Linkmode>

  Java class for linkmode.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="linkmode">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="intern"/>
           <enumeration value="extern"/>
           <enumeration value="webservice"/>
           <enumeration value="rest"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXTERN` An external link, thus means it must be absolute.
    `INTERN` An internal link, the target must be relative to the application root URL.
    `REST` A link to a RESTful service.
    `WEBSERVICE` A link to a `org.appng.api.Webservice`, must start with the bean-name of the webservice.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Linkmode` | `fromValue(String v)`
    `String` | `value()`
    `static Linkmode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Linkmode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERN

          public static final Linkmode INTERN

      An internal link, the target must be relative to the application root URL.

    - #### EXTERN

          public static final Linkmode EXTERN

      An external link, thus means it must be absolute.

    - #### WEBSERVICE

          public static final Linkmode WEBSERVICE

      A link to a `org.appng.api.Webservice`, must start with the bean-name of the webservice.

    - #### REST

          public static final Linkmode REST

      A link to a RESTful service.

  - ### Method Detail

    - #### values

          public static Linkmode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Linkmode c : Linkmode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Linkmode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static Linkmode fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.